Skip to main content
GET
/
http_loggers
/
{id}
Get logger information by ID
curl --request GET \
  --url https://app.pentest-tools.com/api/v2/http_loggers/{id} \
  --header 'Authorization: Bearer <token>'
{
  "label": "mypentest",
  "id": 123,
  "handler_url": "https://pentest-tools.com/logger/55iIAkDkGn",
  "active_days": 42,
  "num_requests": 32,
  "requests_left": 100
}

Authorizations

Authorization
string
header
required

Use the "API key" from the profile page as the token

Path Parameters

id
integer
required

id of the logger

Response

OK

label
string
required

A unique label for the HTTP request logger

Example:

"mypentest"

id
integer

the ID of the HTTP request logger

handler_url
string<url>

The URL used to populate the data for the HTTP request logger

Example:

"https://pentest-tools.com/logger/55iIAkDkGn"

active_days
integer

The number of days left before the HTTP request logger becomes read only

Required range: x >= 0
Example:

42

num_requests
integer

The number of requests made for the logger

Required range: x >= 0
Example:

32

requests_left
integer
deprecated

The number of requests left before the logger becomes read only. This is always 100.

Required range: x >= 0
Example:

100